clang 10.0.0git

Static Public Member Functions | List of all members
clang::tooling::QualifiedRenameRule Class Referencefinal

`#include "clang/Tooling/Refactoring/Rename/RenamingAction.h"`

Inheritance diagram for clang::tooling::QualifiedRenameRule:
[legend]
Collaboration diagram for clang::tooling::QualifiedRenameRule:
[legend]

## Static Public Member Functions
static Expected< QualifiedRenameRule > | initiate (RefactoringRuleContext &Context, std::string OldQualifiedName, std::string NewQualifiedName)
static const RefactoringDescriptor & | describe ()

## Additional Inherited Members
Public Member Functions inherited from clang::tooling::SourceChangeRefactoringRule
void | invoke (RefactoringResultConsumer &Consumer, RefactoringRuleContext &Context) final override
| Initiates and performs a specific refactoring action. More...
Public Member Functions inherited from clang::tooling::RefactoringActionRuleBase
virtual | ~RefactoringActionRuleBase ()

## Detailed Description

Definition at line 70 of file RenamingAction.h.

## Member Function Documentation

## ◆ describe()

const RefactoringDescriptor & clang::tooling::QualifiedRenameRule::describe | ( |  | ) |
| static

Definition at line 103 of file RenamingAction.cpp.

References clang::tooling::createRenameAtomicChanges(), clang::tooling::RefactoringRuleContext::getASTContext(), clang::ASTContext::getTranslationUnitDecl(), and clang::tooling::getUSRsForDeclaration().

## ◆ initiate()

Expected< QualifiedRenameRule > clang::tooling::QualifiedRenameRule::initiate | ( | RefactoringRuleContext & | Context,
|  | std::string | OldQualifiedName,
|  | std::string | NewQualifiedName
| ) |  |
| static

Definition at line 91 of file RenamingAction.cpp.

References clang::tooling::RefactoringRuleContext::getASTContext(), and clang::tooling::getNamedDeclFor().

The documentation for this class was generated from the following files:

- include/clang/Tooling/Refactoring/Rename/RenamingAction.h
- lib/Tooling/Refactoring/Rename/RenamingAction.cpp